<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author         pedro.garcia
@version        2.0
@description    página en la que se muestra, resumido, resultado de una visita de comisión para un trámite

@param    comisionTramiteParam   ComisionTramite que contiene los resultados de la visita como atributos
@param    thisWVNameParam        Valor del atributo widgetvar del componente que embebe esta ventana. 
   Se usa para poder cerrarla sin que tenga un valor quemado
@param    detallesTramiteVentanaWVParam  widgetvar de la ventana para ver detalles del trámite    
@param    componentesActualizarVentDetallesTramParam  componentes que se actualiza en la ventana de detalles 
  del trámite. Debe venir definido tal que jsf lo encuentre (precedido de ':' y con la cadena de 
  componentes complete)
@param    detallesSolicitudVentanaWVParam  widgetvar de la ventana para ver detalles de la solicitud
@param    componentesActualizarVentDetallesSolicParam  componentes que se actualiza en la ventana de detalles 
  de la solicitud. Debe venir definido tal que jsf lo encuentre (precedido de ':' y con la cadena de 
  componentes complete)

-->

<h:form 
    id="resultadoVisitaComisionResumenForm"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">


    <p:fieldset>
        <legend>
            <h:outputText value="Resultado de la visita" styleClass="legendTitle"/>
        </legend>

        <p:spacer height="20" width="0" />

        <h:panelGrid columns="4" width="100%" cellpadding="5"
                     columnClasses="colMediana,colMediana,colMediana,colMediana">

            <h:outputLabel value="Número de solicitud: "
                           styleClass="outputLabelStyle" />
            <p:commandLink 
                value="#{comisionTramiteParam.tramite.solicitud.numero}"
                title="Ver detalles de la solicitud" 
                styleClass="commandLinkStyle"
                onstart="statusDialog2.show();"
                oncomplete="#{detallesSolicitudVentanaWVParam}.show(); statusDialog2.hide();"
                update="#{componentesActualizarVentDetallesSolicParam}">
                <f:setPropertyActionListener
                    value="#{comisionTramiteParam.tramite.solicitud}"
                    target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </p:commandLink>


            <h:outputLabel value="Fecha de solicitud: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{comisionTramiteParam.tramite.solicitud.fecha}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario}"
                                   type="date" />
            </h:outputText>

            <h:outputLabel value="Número de radicación: "
                           styleClass="outputLabelStyle" />
            <p:commandLink value="#{comisionTramiteParam.tramite.numeroRadicacion}"
                           title="Ver detalles del trámite" 
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           oncomplete="#{detallesTramiteVentanaWVParam}.show(); statusDialog2.hide();"
                           update="#{componentesActualizarVentDetallesTramParam}">
                <f:setPropertyActionListener 
                    value="#{comisionTramiteParam.tramite}"
                    target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
            </p:commandLink>


            <h:outputLabel value="Fecha de radicación: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{comisionTramiteParam.tramite.fechaRadicacion}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario}"
                                   type="date" />
            </h:outputText>

            <h:outputLabel value="Tipo de solicitud: "
                           styleClass="outputLabelStyle" />
            <h:outputText id="SolicitudTipoV"
                          value="#{comisionTramiteParam.tramite.solicitud.tipo}"
                          styleClass="outputTextStyle" >
                <f:converter converterId="converterCB" for="SolicitudTipoV" />
            </h:outputText>

            <h:outputLabel value="Tipo de trámite: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{comisionTramiteParam.tramite.tipoTramiteCadenaCompleto}"
                styleClass="outputTextStyle" />
        </h:panelGrid>


        <p:spacer height="20" width="0" />


        <h:panelGrid columns="4" width="100%" 
                     columnClasses="colMediana,colMediana,colMediana,colMediana">
            <h:outputLabel value="Realizó inspección ocular: "
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{comisionTramiteParam.realizada}"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo de novedad: "
                           styleClass="outputLabelStyle" />
            <h:outputText id="ComisionNovedadV" 
                          value="#{comisionTramiteParam.novedad}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterCB"
                             for="ComisionNovedadV" />
            </h:outputText>
        </h:panelGrid>

        <h:panelGrid columns="2" width="100%">
            <h:outputLabel value="Observaciones: " styleClass="outputLabelStyle" />
            <h:inputTextarea cols="100" rows="4"
                             label="Observaciones de la visita"
                             title="Observaciones de la visita"
                             value="#{comisionTramiteParam.observaciones}" 
                             disabled="true"/>
        </h:panelGrid>

    </p:fieldset>


    <p:spacer height="10" width="0" />


    <p:outputPanel layout="block" style="text-align: right">
        <h:panelGrid columns="2" width="100%">
            <p:commandButton value="Cerrar"
                             icon="ui-icon-close" 
                             onclick="#{thisWVNameParam}.hide();"/>
        </h:panelGrid>
    </p:outputPanel>


</h:form>
